<?php
/**
 * 
 * 
 * @package aowp.parser.template.templateFiles
 */

$extendSource = $ast->extendClassName !== null ? 'extends ' . $ast->extendClassName : '';

$implementSource = null;
if (is_array($ast->implementInterfaceNames)) {
	foreach ($ast->implementInterfaceNames as $interfaceName) {
		if ($implementSource == null) {
			$implementSource = ' implements ';
		}
		else {
			$implementSource .= ', ';
		}
		$implementSource .= $interfaceName;
	}
	if ($implementSource != null) {
		$implementSource .= ' ';	
	}
}
else {
	$implementSource = '';
}
?>
<?= $ast->typeName ?> class <?= $ast->className ?> <?= $extendSource ?><?= $implementSource ?>{

<?php
AOWP_TemplateEngine::toSource($ast->classStatements);

?>	

}
